r914 - trunk

archaic at linuxfromscratch.org archaic at linuxfromscratch.org
Thu Dec 2 10:16:53 PST 2004


Author: archaic
Date: 2004-12-02 11:16:52 -0700 (Thu, 02 Dec 2004)
New Revision: 914

Modified:
   trunk/ssp.txt
Log:
Updated Hint: ssp

Modified: trunk/ssp.txt
===================================================================
--- trunk/ssp.txt	2004-11-29 00:02:27 UTC (rev 913)
+++ trunk/ssp.txt	2004-12-02 18:16:52 UTC (rev 914)
@@ -1,6 +1,6 @@
 AUTHOR:		Robert Connolly <robert at linuxfromscratch dot org> (ashes)
 
-DATE:		2004-11-21
+DATE:		2004-12-02
 
 LICENSE:	Public Domain
 
@@ -95,8 +95,8 @@
 logs for these alerts.
 
 http://www.linuxfromscratch.org/patches/downloads/glibc/\
-        glibc-2.3.2-ssp-frandom-6.patch
-	glibc-2.3.4-ssp_frandom-5.patch # This works for glibc-2.3.3 too.
+        glibc-2.3.2-ssp-frandom-7.patch
+	glibc-2.3.4-ssp_frandom-6.patch # This works for glibc-2.3.3 too.
 
 This GCC Specs patch adds -fstack-protector-all to GCC's default compiler flags.
 Filters prevent libraries and the kernel from being built with unnessesary
@@ -125,6 +125,11 @@
         linux-2.4.27-frandom-2.patch # or
 	linux-2.6.9-frandom-2.patch
 
+If you are using a kernel before version 2.6.8 the above patch won't work.
+A few things changed in 2.6.8, if you are using 2.6.5, for example, then use
+this patch.
+	linux-2.6.7-frandom-2.patch
+
 In the entropy.txt hint there is a libarc3library using frandom, which
 has a patch for Mktemp. See entropy.txt for more details.
 
@@ -207,7 +212,7 @@
 If the host system has SSP in Glibc already, then you can patch gcc
 here. Otherwise do not. If in doubt, wait until pass two.
  - Glibc
-patch -Np1 -i ../glibc-2.3.4-ssp_frandom-5.patch # or 2.3.2's patch
+patch -Np1 -i ../glibc-2.3.4-ssp_frandom-6.patch # or 2.3.2's patch
 
  - GCC pass 2
 If you use sspspecs patch then a `make bootstrap` is a good idea too.
@@ -224,7 +229,7 @@
 Make sure the frandom header get installed again.
 
  - Glibc
-patch -Np1 -i ../glibc-2.3.4-ssp_frandom-5.patch
+patch -Np1 -i ../glibc-2.3.4-ssp_frandom-6.patch
 
  - Binutils
 make CFLAGS="-fno-stack-protector" check
@@ -415,4 +420,6 @@
 [2004-11-21]
 * Add new Glibc patches with stderr overflow messages.
 * Fixed sspspecs patches so they actually work with g++.
-
+[2004-12-02]
+* New glibc patches.
+* Added note about using 2.6.7 frandom patch for older kernels.




More information about the hints mailing list